--- title: "Get Secret Detail" slug: "secretmanager-getsecretdetail" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/secretmanager-getsecretdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Secret Detail Available in VPC Get secret details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/secrets/{secretId} | ### Request headers For information about the headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `secretId` | String | Required | Secret ID - See [Get Secret List](/docs/en/secretmanager-getsecretlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://secretmanager.apigw.ntruss.com/api/v1/secrets/{secretId}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.secretId` | String | - | Secret ID | | `data.secretName` | String | - | Secret name | | `data.secretStatus` | String | - | Secret status - `ENABLE` \| `DISABLE` \| `REVOKE` \| `ROTATING` \| `DESTROYED` - `ENABLE`: Available - `DISABLE`: Suspended - `REVOKE`: Scheduled for deletion - `ROTATING`: Rotation in progress - `DESTROYED`: Finally deleted | | `data.secretType` | String | - | Secret type - `BASIC` (valid value) | | `data.memo` | String | - | Secret description | | `data.region` | String | - | Area code | | `data.expectedDestroyDate` | Integer | - | Estimated secret destruction date and time (millisecond) - Unix timestamp format - Displayed if the secret is scheduled to be deleted | | `data.updateDate` | Integer | - | Secret update date and time (millisecond) - Unix timestamp format | | `data.registerDate` | Integer | - | Secret creation date and time (millisecond) - Unix timestamp format | | `data.autoRotationYN` | String | - | Whether to rotate automatically - `Y` \| `N` - `Y`: Rotate automatically - `N`: Not rotate automatically | | `data.autoRotationPeriod` | Integer | - | Secret automatic rotation cycle (day) - Displayed if `autoRotationYN` is `Y` | | `data.nextRotationDate` | Integer | - | Next rotation date and time (millisecond) - Unix timestamp format - Displayed if `autoRotationYN` is `Y` | | `data.rotationPhase` | String | - | Current rotation phase - `NONE` \| `ROTATING` \| `ROTATION_FAILED` - `NONE`: No rotation execution history or rotation terminated (normal) - `ROTATING`: Rotation in progress - `ROTATION_FAILED`: Rotation failed | | `data.trigger` | Object | - | Information of the trigger | | `data.trigger.id` | String | - | Trigger ID | | `data.trigger.name` | String | - | Trigger name | | `data.trigger.url` | String | - | Trigger URL | | `data.protectionKey` | Object | - | Protection key information | | `data.protectionKey.type` | String | - | Protection key type - `DEFAULT` \| `USER_MANAGED_KEY` - `DEFAULT`: Default key - `USER_MANAGED_KEY`: User managed key | | `data.protectionKey.kmsKeyTag` | String | - | KMS key tag | | `data.protectionKey.kmsKeyName` | String | - | KMS key name | | `data.protectionKey.kmsBoundaryType` | String | - | KMS Region isolation type - `GLOBAL` \| `ISOLATED` - `GLOBAL`: Global - `ISOLATED`: Isolation | ### Response status codes For information about the HTTP status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "secretId": "*****687685109842348f7358629bca2a6b2491e8c2352718e7d312b183*****", "secretName": "test-***", "secretStatus": "ENABLE", "secretType": "BASIC", "memo": "Secret Manager Description", "region": "KR", "updateDate": 1753159021411, "registerDate": 1753065580243, "autoRotationYN": "Y", "autoRotationPeriod": 90, "nextRotationDate": 1760842800000, "rotationPhase": "NONE", "trigger": { "id": "*****", "name": "test", "url": "https://console.ncloud.com/vpcCloudFunctions/trigger/detail/test" }, "protectionKey": { "type": "USER_MANAGED_KEY", "kmsKeyTag": "*****a8e99ef1ba49b9c190a0cb4f6fb20cff86dd3a3017fd6ee05aea8b*****", "kmsKeyName": "test-***", "kmsBoundaryType": "GLOBAL" } } } ```